Approve Transaction

Approve Transaction

post

In this endpoint, enter the exact same values that were used when creating the transaction (for example, max_fees must be the exact same values).

You can retrieve transactions "pending approval" with GET /transactions?status=PENDING_APPROVAL.

However, you should NOT trust those values and you should implement your own source of trust.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
transaction_idintegerRequired

The transaction's ID.

Body
account_namestringRequired

The account's name.

amountstring · nullableOptional

The amount to be sent, in the currency's lowest unit. For Smart Contract interaction, use "0" instead of null

Default: nullPattern: ^[0-9]*(\.[0-9]+)?$
coin_fieldsone of · nullableOptional

coin specific data

Default: null
or
or
or
or
or
or
or
or
or
max_feesstring · nullableOptional

The transaction's max fees, in the currency's lowest unit.

Default: nullPattern: ^[0-9]*(\.[0-9]+)?$
recipientstringRequired

The recipient's address.

Responses
chevron-right
200

The approved transaction

application/json
account_idintegerRequiredExample: 1
account_indexintegerRequiredExample: 0
amountstring · nullableOptional

the transaction amount, in base units

Default: nullExample: 1432199Pattern: ^[0-9]*(\.[0-9]+)?$
broadcast_onstring · date-time · nullableOptionalDefault: nullExample: 2020-12-11T12:56:35.370946+00:00
coin_fieldsone of · nullableOptionalDefault: nullExample: {"fees_per_byte":10}
or
or
or
or
or
or
or
or
confirmationsintegerRequiredExample: 28
created_byintegerRequiredExample: 5
created_onstring · date-timeRequired
currencystring · enumRequiredExample: bitcoinPossible values:
currency_familystring · enumRequiredExample: ethereumPossible values:
feesstring · nullableOptional

the transaction fee paid, in base units

Default: nullExample: 17500Pattern: ^[0-9]*(\.[0-9]+)?$
idintegerRequired
interaction_typestring · nullableOptionalDefault: null
last_requestinteger · nullableOptionalDefault: null
max_feesstring · nullableOptional

Max fees represent the highest possible fee amount you will pay to broadcast this transaction, in base units. The final fees, calculated once the transaction is approved by the last Operator, might be lower, but will never exceed that amount. See https://help.vault.ledger.com/Content/transactions/tx.html for details

Default: nullExample: 2100Pattern: ^[0-9]*(\.[0-9]+)?$
metadataone of · nullableOptionalDefault: null
or
min_confirmationsintegerRequiredExample: 6
recipientstring · nullableOptionalDefault: nullExample: tb1q2tvjts80vthcywq9au2yynpezca57mvv0j7lzm
sendersstring[] · nullableOptional

Only available once the transaction has been submitted to the blockchain

Default: nullExample: ["0x0D9377F84af90e6936973aEF3063fe6e16ca693e"]
speedstring · enum · nullableOptionalDefault: nullExample: NORMALPossible values:
statusstring · enumRequiredExample: PENDING_APPROVALPossible values:
tx_hashstring · nullableOptionalDefault: nullExample: cd199dd0c61ff75c7a442e425771fedfe07e191a76aed64b6a311ec4a369b20e
typestring · enumRequiredExample: SENDPossible values:
uidstring · nullableOptionalDefault: null
post
/transactions/{transaction_id}/approve